<template>
  <portal-page class="q-px-lg">
    <div class="row">
      <div class="col-12">
        <div class="flex items-center justify-between">
          <p class="title-msg title-medium">My Jobs</p>

          <div class="col flex flex-center" v-if="!$q.screen.lt.md">
            <q-tabs
              v-model="tab"
              dense
              class="text-grey-7"
              active-color="primary"
              indicator-color="primary"
              narrow-indicator
            >
              <q-tab name="in_progress" label="In Progress" />
              <q-tab name="saved" label="Saved" />
              <q-tab name="applied" label="Applied" />
              <q-tab name="archived" label="Archived" />
            </q-tabs>
          </div>

          <span style="font-size: 12px; color: #9b9b9b"
            >{{ getLength() }} JOBS</span
          >
        </div>
      </div>
      <div class="col-12" v-if="$q.screen.lt.md">
        <q-tabs
          v-model="tab"
          dense
          class="text-grey-7 custom-tab-mobile"
          active-color="primary"
          indicator-color="primary"
          narrow-indicator
          inline-label
          outside-arrows
          mobile-arrows
        >
          <q-tab name="in_progress" label="In Progress" />
          <q-tab name="saved" label="Saved" />
          <q-tab name="applied" label="Applied" />
          <q-tab name="archived" label="Archived" />
        </q-tabs>
      </div>
    </div>

    <div class="row q-pb-xl">
      <div class="col">
        <q-tab-panels v-model="tab">
          <q-tab-panel name="in_progress">
            <div class="row">
              <div
                v-for="(job, k) in jobsListStore.jobs.filter(
                  (item) =>
                    item.is_archived === false && item.is_applied === true
                )"
                :key="k"
                class="q-mt-md"
                :class="
                  $q.screen.lt.sm
                    ? 'col-12'
                    : $q.screen.lt.md
                    ? 'col-6'
                    : 'col-4'
                "
              >
                <my-jobs-list-card :job="job" />
              </div>
            </div>
          </q-tab-panel>

          <q-tab-panel name="saved">
            <div class="row">
              <div
                v-for="(job, k) in jobsListStore.jobs.filter(
                  (item) => item.is_saved === true
                )"
                :key="k"
                class="q-mt-md"
                :class="
                  $q.screen.lt.sm
                    ? 'col-12'
                    : $q.screen.lt.md
                    ? 'col-6'
                    : 'col-4'
                "
              >
                <my-jobs-list-card :job="job" />
              </div>
            </div>
          </q-tab-panel>

          <q-tab-panel name="applied">
            <div class="row">
              <div
                v-for="(job, k) in jobsListStore.jobs.filter(
                  (item) => item.is_applied === true
                )"
                :key="k"
                class="q-mt-md"
                :class="
                  $q.screen.lt.sm
                    ? 'col-12'
                    : $q.screen.lt.md
                    ? 'col-6'
                    : 'col-4'
                "
              >
                <my-jobs-list-card :job="job" />
              </div>
            </div>
          </q-tab-panel>

          <q-tab-panel name="archived">
            <div class="row">
              <div
                v-for="(job, k) in jobsListStore.jobs.filter(
                  (item) => item.is_archived === true
                )"
                :key="k"
                class="q-mt-md"
                :class="
                  $q.screen.lt.sm
                    ? 'col-12'
                    : $q.screen.lt.md
                    ? 'col-6'
                    : 'col-4'
                "
              >
                <my-jobs-list-card :job="job" />
              </div>
            </div>
          </q-tab-panel>
        </q-tab-panels>
      </div>
    </div>
  </portal-page>
</template>

<script>
import PortalPage from "src/layouts/portals/PortalPage.vue";
import MyJobsListCard from "../components/cards/jobseeker/MyJobsListCard.vue";
import { defineComponent, ref } from "vue";
import { useJobsList } from "../store/job";

export default defineComponent({
  name: "MyJobsPage",
  components: {
    PortalPage,
    MyJobsListCard,
  },

  setup() {
    const jobsListStore = useJobsList();
    const { getJobs } = jobsListStore;
    const tab = ref("in_progress");

    const getLength = () => {
      console.log(tab.value);

      switch (tab.value) {
        case "saved":
          return jobsListStore.jobs.filter((item) => item.is_saved === true)
            .length;
          break;
        case "applied":
          return jobsListStore.jobs.filter((item) => item.is_applied === true)
            .length;
          break;
        case "archived":
          return jobsListStore.jobs.filter((item) => item.is_archived === true)
            .length;
          break;
        default:
          return jobsListStore.jobs.filter(
            (item) => item.is_archived === false && item.is_applied === true
          ).length;
      }
      // return jobsListStore.jobs.filter((item) => item.is_saved === true).length
      // return 5;
    };

    getJobs();

    console.log(jobsListStore);

    return {
      jobsListStore,
      tab,
      getLength,
    };
  },
});
</script>

<style lang="scss" scoped>
.title-msg {
  color: $dark-blue !important;
  margin: 0 !important;
  padding-top: 35px !important;
  padding-bottom: 35px !important;
}
.q-tab-panels {
  background: transparent !important;
}

.custom-tab-mobile {
  :deep(.q-tab) {
    font-size: 10px !important;
    min-height: 25px;
    padding: 10px 25px !important;
    margin-right: 10px !important;
  }
}
</style>
